package com.rjconsultores.ventaboletos.vo.comissao;

import java.math.BigDecimal;

import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;
import com.rjconsultores.ventaboletos.utilerias.MoneyHelper;

public class FormaPagoEventosFinanceirosVO {
	
	private Integer formapagoId;
	private String descpago;
	private BigDecimal importe;
	
	
	
	
	public FormaPagoEventosFinanceirosVO(Integer formapagoId, String descpago, BigDecimal importe) {
		super();
		this.formapagoId = formapagoId;
		this.descpago = descpago;
		this.importe = importe;
	}
	public Integer getFormapagoId() {
		return formapagoId;
	}
	public void setFormapagoId(Integer formapagoId) {
		this.formapagoId = formapagoId;
	}
	public String getDescpago() {
		return descpago;
	}
	public void setDescpago(String descpago) {
		this.descpago = descpago;
	}
	public BigDecimal getImporte() {
		return importe;
	}
	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}
	
	
	public String getImporteFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getImporte(), LocaleUtil.getLocale());
	}
	
	public void add(BigDecimal importe) {
		this.importe = MoneyHelper.somar(this.importe, (importe != null ? importe : BigDecimal.ZERO));
	}
	
	public void subtract(BigDecimal importe) {
		this.importe = MoneyHelper.subtrair(this.importe,(importe != null ? importe : BigDecimal.ZERO));
	}

	
	
	
	
	
	

}
